#! bin/bash
touch netowrk.sh  #创建文件network.sh
vi network.sh     #进入命令界面
i                 #进入编辑
uuid=`uuidgen eth1`  ####获取uuid
MAC=`ip addr | grep link/ether`       ###获取到写着mac的这一行
mac=`echo ${MAC:15:17}`               ###获取到准确mac
echo "配置网络"
echo "请输入您要设定的IP地址"
###获取到键盘输入的值，赋给：变量
read -p '请输入IP：' IP                 
read -p '请输入DNS：' DNS
read -p '请输入子网掩码:' NETMASK
read -p '请输入网关:' GATEWAY
echo $IP         ###显示一下所配IP
####构造函数将变量写入
function network_settings(){
        echo "TYPE=Ethernet"            >/etc/sysconfig/network-scripts/ifcfg-ens33  #'>'表示覆盖  
        echo "BOOTPROTO=static"         >>/etc/sysconfig/network-scripts/ifcfg-ens33 
        echo "DEFROUTE="yes""           >>/etc/sysconfig/network-scripts/ifcfg-ens33 #其他的>>表示追加
        echo "PEERDNS="yes""            >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "PEERROUTES="yes""         >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "IPV4_FAILURE_FATAL="no""  >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "IPV6INIT="yes""           >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "IPV6_AUTOCONF="no""       >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "IPV6_DEFROUTE="no""       >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "IPV6_PEERDNS="no""        >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "IPV6_PEERROUTES="no""     >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "IPV6_FAILURE_FATAL="no""  >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "NAME="ens33""             >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "HWADDR=$mac"              >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "UUID="$uuid""             >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "DEVICE="ens33""           >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "ONBOOT="yes""             >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "IPADDR="$IP""             >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "GATEWAY="$GATEWAY""       >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "NETMASK="$NETMASK""       >>/etc/sysconfig/network-scripts/ifcfg-ens33
        echo "DNS="$DNS""               >>/etc/sysconfig/network-scripts/ifcfg-ens33
}
 network_settings    ###调用函数
 
 echo "namesever "$DNS"" >>/etc/resolv.conf     ###将DNS写入解析
 
 service network restart                     ###重启网络服务
 
 echo "网络配置成功"                          
:wq          # ESC：wq  ##保存退出
bash network.sh       ###运行
 
 